////////
//
// header for Time.cc package
//
//

#ifndef _Time_H_
#define _Time_H_


#include <iostream>
#include <iomanip>
#include <fstream>
#include <cstring>
#include <cctype>

// prototypes
int ensureValues(char * valueName, int& value, int min, int max);

// constants
const int MAXSTR     = 80;				// max char string size
const int MIN60		 = 60;				// mins in hour
const int HOUR24     = 24;				// hours in day
const int MID12		 = 12;				// hours til noon


#endif /* _Time_H_ */
